Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Java plugin.  (gelezen 3471 keer)

vegz

  • Gast
Java plugin.
« Gepost op: 2007/11/25, 19:26:37 »
Hoi,

Sinds een nieuwe, schone installatie van 7.10 vind ik via de terminal en browser about:plugins netjes deze versie actief

Java(TM) Plug-in 1.6.0_03-b05

    File name: libjavaplugin_oji.so
    Java(TM) Plug-in 1.6.0_03



  Selection    Alternative
-----------------------------------------------
          1    /usr/bin/gij-4.1
          2    /usr/bin/gij-4.2
          3    /usr/bin/cacao
          4    /usr/lib/jvm/java-1.5.0-sun/jre/bin/java
*+        5    /usr/lib/jvm/java-6-sun/jre/bin/java



maar als ik het laat verifiëren op java.com vindt die enkel 1.4 terug. Met als gevolg dat er enkele sites niet optimaal functioneren.

Ik heb al vanalles geprobeerd: cache geledigd, alles opnieuw geïnstalleerd, etc etc, maar niets helpt. Iemand een idee?

Offline Soul-Sing

  • Lid
  • Steunpunt: Nee
Java plugin.
« Reactie #1 Gepost op: 2007/11/25, 19:29:09 »
doe eens  about:plugins  in de adresbalk van je browser. vind je daar de juiste java terug?

vegz

  • Gast
Java plugin.
« Reactie #2 Gepost op: 2007/11/25, 19:33:19 »
Java(TM) Plug-in 1.6.0_03-b05

    File name: libjavaplugin_oji.so
    Java(TM) Plug-in 1.6.0_03

MIME Type    Description    Suffixes    Enabled
application/x-java-vm    Java       Yes
application/x-java-applet    Java       Yes
application/x-java-applet;version=1.1    Java       Yes
application/x-java-applet;version=1.1.1    Java       Yes
application/x-java-applet;version=1.1.2    Java       Yes
application/x-java-applet;version=1.1.3    Java       Yes
application/x-java-applet;version=1.2    Java       Yes
application/x-java-applet;version=1.2.1    Java       Yes
application/x-java-applet;version=1.2.2    Java       Yes
application/x-java-applet;version=1.3    Java       Yes
application/x-java-applet;version=1.3.1    Java       Yes
application/x-java-applet;version=1.4    Java       Yes
application/x-java-applet;version=1.4.1    Java       Yes
application/x-java-applet;version=1.4.2    Java       Yes
application/x-java-applet;version=1.5    Java       Yes
application/x-java-applet;version=1.6    Java       Yes
application/x-java-applet;jpi-version=1.6.0_03    Java       Yes
application/x-java-bean    Java       Yes
application/x-java-bean;version=1.1    Java       Yes
application/x-java-bean;version=1.1.1    Java       Yes
application/x-java-bean;version=1.1.2    Java       Yes
application/x-java-bean;version=1.1.3    Java       Yes
application/x-java-bean;version=1.2    Java       Yes
application/x-java-bean;version=1.2.1    Java       Yes
application/x-java-bean;version=1.2.2    Java       Yes
application/x-java-bean;version=1.3    Java       Yes
application/x-java-bean;version=1.3.1    Java       Yes
application/x-java-bean;version=1.4    Java       Yes
application/x-java-bean;version=1.4.1    Java       Yes
application/x-java-bean;version=1.4.2    Java       Yes
application/x-java-bean;version=1.5    Java       Yes
application/x-java-bean;version=1.6    Java       Yes
application/x-java-bean;jpi-version=1.6.0_03    Java

Offline Soul-Sing

  • Lid
  • Steunpunt: Nee
Java plugin.
« Reactie #3 Gepost op: 2007/11/25, 19:39:49 »
hmm gek. heb je het volgens deze manier gedaan?: Ubuntu restricted extras (metapakket, bevat zeer veel ontbrekende zaken, waaronder Adobe Flash, Sun Java en Microsoft True Type lettertypes) bij ad/remove programs? ( alle bronnen geactiveerd, rechtsboven? )
of los van de site gedownd?

Offline Dave

  • Lid
  • Steunpunt: Nee
Java plugin.
« Reactie #4 Gepost op: 2007/11/25, 19:45:07 »
ja de plugins blijven staan want op de /home maar sun-java moet je opnieuw installeren.
In Opera ook nog handmatig naar de juiste locatie laten verwijzen.

Offline Soul-Sing

  • Lid
  • Steunpunt: Nee
Java plugin.
« Reactie #5 Gepost op: 2007/11/25, 19:49:29 »
klopt in bijv. FLOCK (ook een browser) verwijs je zo naar de firefox plugins:
Citaat
sudo ln -s /usr/lib/mozilla/plugins/* /opt/flock/plugins
een leuke voor de documentatie overigens.

vegz

  • Gast
Java plugin.
« Reactie #6 Gepost op: 2007/11/25, 19:50:04 »
Ik heb ze eerst via de restricted extras geïnstalleerd, daarna verwijderd en terug via Synaptic geïnstalleerd. Geen verschil..

Ik gebruik Firefox als browser. Sun-java opnieuw installeren, via welk kanaal?

Offline Soul-Sing

  • Lid
  • Steunpunt: Nee
Java plugin.
« Reactie #7 Gepost op: 2007/11/25, 19:55:56 »
Citaat van: vegz
Ik heb ze eerst via de restricted extras geïnstalleerd, daarna verwijderd en terug via Synaptic geïnstalleerd. Geen verschil..

Ik gebruik Firefox als browser. Sun-java opnieuw installeren, via welk kanaal?
wacht even, dat metapakket is het goede pakket wat mij betreft.
welke sites lopen dan niet goed bij je? is het geen flashprobleem?

vegz

  • Gast
Java plugin.
« Reactie #8 Gepost op: 2007/11/25, 19:58:20 »
Java.com geeft aan dat ik versie 1.4 heb
http://www.java.com/en/download/installed.jsp?detect=jre&try=1

en ik heb het vooral nodig voor een online cursus die java-gebaseerd is.

Offline Bobbie

  • Lid
  • Steunpunt: Nee
Java plugin.
« Reactie #9 Gepost op: 2007/11/25, 21:17:31 »
En als installeert via terminal met deze opdracht: ' sudo apt-get install sun-java6-jre sun-java6-plugin'

en dan wel de bevesting geven voor accoord en eventueel  'sudo update-alternatives --config java' voor configuren van java

het opnieuw installeren van  flash player kan ook via terminal     ' sudo apt-get install flashplugin-nonfree'
 en erna 'sudo update-flashplugin'

Offline Soul-Sing

  • Lid
  • Steunpunt: Nee
Java plugin.
« Reactie #10 Gepost op: 2007/11/25, 21:18:32 »
Citaat van: vegz
Java.com geeft aan dat ik versie 1.4 heb
http://www.java.com/en/download/installed.jsp?detect=jre&try=1

en ik heb het vooral nodig voor een online cursus die java-gebaseerd is.
ik naar die site met: Java(TM) Plug-in 1.6.0_03-b05 dezelfde als jij hebt:
geeft ie aan de juiste te detecteren...
met welke browsers heb je het geprobeerd?

vegz

  • Gast
Java plugin.
« Reactie #11 Gepost op: 2007/11/25, 21:20:26 »
Citaat van: Bobbie
En als installeert via terminal met deze opdracht:  sudo apt-get install sun-java6-jre sun-java6-plugin

en dan wel de bevesting geven voor accoord
Reading package lists... Done
Building dependency tree      
Reading state information... Done
sun-java6-jre is already the newest version.
sun-java6-jre set to manual installed.
sun-java6-plugin is already the newest version.

vegz

  • Gast
Java plugin.
« Reactie #12 Gepost op: 2007/11/25, 21:23:29 »
Citaat van: leoquant
Citaat van: vegz
Java.com geeft aan dat ik versie 1.4 heb
http://www.java.com/en/download/installed.jsp?detect=jre&try=1

en ik heb het vooral nodig voor een online cursus die java-gebaseerd is.
ik naar die site met: Java(TM) Plug-in 1.6.0_03-b05 dezelfde als jij hebt:
geeft ie aan de juiste te detecteren...
welke browsers heb je het geprobeerd?
Firefox en Epiphany, meerdere keren, telkens beiden hetzelfde resultaat. Ook met 1.5 als plugin krijg ik daar te zien dat enkel 1.4.2 herkend wordt..

Offline Soul-Sing

  • Lid
  • Steunpunt: Nee
Java plugin.
« Reactie #13 Gepost op: 2007/11/25, 21:27:42 »
ga eens naar synaptic pakketbeheer staat daar die vervloekte 1.4.2 soms bij.
wat staat er in de synaptic aan sun java?
volgens mij liegt about:plugins nooit, lijkt me dat die site van java van streek is.

Offline Soul-Sing

  • Lid
  • Steunpunt: Nee
Java plugin.
« Reactie #14 Gepost op: 2007/11/25, 21:31:26 »
ps. wat is in je java conf  /usr/bin/cacao  eigenlijk?

vegz

  • Gast
Java plugin.
« Reactie #15 Gepost op: 2007/11/25, 21:39:13 »
1.4.2 is in synaptic niet terug te vinden. Dit is de java conf  /usr/bin/cacao:


Usage: cacao [-options] classname [arguments]
               (to run a class file)
   or  cacao [-options] -jar jarfile [arguments]
               (to run a standalone jar file)

Java options:
    -d32                     use 32-bit data model if available
    -d64                     use 64-bit data model if available
    -client                  compatibility (currently ignored)
    -server                  compatibility (currently ignored)
    -jvm                     compatibility (currently ignored)
    -hotspot                 compatibility (currently ignored)

    -cp               specify a path to look for classes
    -classpath        specify a path to look for classes
    -D=         add an entry to the property list
    -verbose[:class|gc|jni]  enable specific verbose output
    -version                 print product version and exit
    -fullversion             print jpackage-compatible product version and exit
    -showversion             print product version and continue
    -help, -?                print this help message
    -X                       print help on non-standard Java options
    -esa | -enablesystemassertions
                             enable system assertions
    -dsa | -disablesystemassertions
                             disable system assertions

CACAO options:
    -v                       write state-information
    -verbose[:call|exception|jit]
                             enable specific verbose output
    -debug-color             colored output for ANSI terms
    -noverify                don't verify classfiles
    -softnull                use software nullpointer check
    -log logfile             specify a name for the logfile
    -c(heck)b(ounds)         don't check array bounds
            s(ync)           don't check for synchronization
    -l                       don't start the class after loading
    -eager                   perform eager class loading and linking
    -all                     compile all methods, no execution
    -m                       compile only a specific method
    -sig                     specify signature for a specific method
    -s(how)...               show...
           c(onstants)       the constant pool
           m(ethods)         class fields and methods
           u(tf)             the utf - hash
           i(ntermediate)    intermediate representation
           d(atasegment)     data segment listing
    -ifconv                  use if-conversion

vegz

  • Gast
Java plugin.
« Reactie #16 Gepost op: 2007/11/25, 21:42:12 »
Citaat van: leoquant
volgens mij liegt about:plugins nooit, lijkt me dat die site van java van streek is.
Het probleem is dat het probleem zich niet enkel op die site, maar ook op 2 andere voor doet. Die java site bekeek ik enkel omdat dat de beste manier is om het te testen (dacht ik).

Offline Soul-Sing

  • Lid
  • Steunpunt: Nee
Java plugin.
« Reactie #17 Gepost op: 2007/11/25, 22:14:52 »
ik kom er niet uit. iemand anders even hier naar kijken?

vegz

  • Gast
Java plugin.
« Reactie #18 Gepost op: 2007/11/27, 09:30:35 »
Niemand? :(

Offline Bobbie

  • Lid
  • Steunpunt: Nee
Java plugin.
« Reactie #19 Gepost op: 2007/11/27, 13:12:05 »
Heb gister avond een installatie  gedaan en daarna de multimedia geinstalleert met daarbij de restricted extras vanuit software toevoegen/verwijderen en kreeg de juiste sun-java 6-jre en plugins binnen.
meschien als je weer verwijdert en dan sudo apt-get clean in de terminal , dan wordt je tijdelijke gedownloade bestanden verwijdert, dan weer opnieuw installeren.
Dan ook weer via terminal.

Nog even: ik zat te denken, heb je een ander soort dan ubuntu pakketten beheer geinstalleert

vegz

  • Gast
Java plugin.
« Reactie #20 Gepost op: 2007/11/28, 11:08:48 »
Neen, geen ander pakkettenbeheer nee. Je bedoelt Automatix of zo?

Voorlopig ook nog geen beterschap, al heb ik alles al geprobeerd. Nogmaals alles gewist en terug geïnstalleerd, maar zonder resultaat.

Offline Bobbie

  • Lid
  • Steunpunt: Nee
Java plugin.
« Reactie #21 Gepost op: 2007/11/28, 13:02:48 »
Heb je al een via google dit zinnetje eens ingetypt: java conf  /usr/bin/cacao:
Er staan wel dingen erover, maar mijn buitenlandse taal is slecht, dus kan het niet zo goed volgen.

Offline Tom

  • Lid
    • Wanda´s Blog Linux Xubuntu.
  • Steunpunt: Nee
Java plugin.
« Reactie #22 Gepost op: 2007/11/28, 15:03:21 »
Ik heb het voor Firefox zo gedaan :Ga naar google typ in danielle pham bovenste site aanvinken iets naar ondere scrollen en daar staat java 6.02  U kunt die van daar gewoon installeren.
suc6 Tom.
2 x Xuby 14.04.5 Lts 64 bits stand alone. 2 x Xuby 16.04.3 Lts 64 bits stand alone.
https://sites.google.com/site/wandabloglinuxxubuntu/pc-s-installeren-configureren

vegz

  • Gast
Java plugin.
« Reactie #23 Gepost op: 2007/11/28, 15:16:06 »
Ook gedaan nu, maar nog steeds geen beterschap. http://www.javatester.org/version.html geeft nog steeds

"Java Version 1.4.2 from GNU Classpath"

terwijl about:plugins me zegt dat deze geïnstalleerd is:

Java(TM) Plug-in 1.6.0_03-b05

    File name: libjavaplugin_oji.so
    Java(TM) Plug-in 1.6.0_03

Ik ben buiten raad..

Offline Tom

  • Lid
    • Wanda´s Blog Linux Xubuntu.
  • Steunpunt: Nee
Java plugin.
« Reactie #24 Gepost op: 2007/11/28, 21:34:26 »
Ik heb ook al situaties gehad dat iets niet lukte , en weet U wat ik dan deed ik smeet de hele troep van mijn PC .( al zeven keer gedaan).
Pakte mijn CD van gutsy stak hem in de drive en begon heeeeel rustig alles weer te herinstalleren dus het complete OS.
Is allezins beter dan gefrustreet rond te klooie (sorry voor de uitdrukking) maar het is toch zo.
En elke keer leert U bij , ik toch dus probeer opnieuw met een lekkere tas koffie er bij.
Succes gewenst groetjes Tom.
2 x Xuby 14.04.5 Lts 64 bits stand alone. 2 x Xuby 16.04.3 Lts 64 bits stand alone.
https://sites.google.com/site/wandabloglinuxxubuntu/pc-s-installeren-configureren